var page = documents[0];
var basePath = "/Users/takano/Documents/Dropbox/Dropbox-shared/Vanfu170-variable/demo/Illustrator/02-script1/script/";
var file = new File(basePath+"data.csv");
var itemSize = {w: 156, h: 258, horizontal:5, imgX:17, imgY:74};
var data = [];
var dupframe = page.groupItems[0];

if(file.open()) {
    data = file.read().split ("\n");
    var position = {_x: 0, _y:0};
    for each (var i in data) {
        var item = i.split (",");
        addFrame(position._x, -position._y, item[0], item[1], item[2], item[3]);
        if (position._x >= itemSize.horizontal) position._y++, position._x = 0;
        else position._x++;
        }
   }

function addFrame(_x, _y, _name, _division, _email, imagePath) {
    var frame = dupframe.duplicate ();
    frame.top = _y*itemSize.h;
    frame.left = _x*itemSize.w;
    frame.textFrames[0].contents = _name;
    frame.textFrames[1].contents = _division;
    frame.textFrames[2].contents = _email;
    var imageFile = File(basePath+"images/"+imagePath);
    var imageObj = frame.placedItems.add();
    imageObj.file = imageFile;
    imageObj.position = [_x*itemSize.w+itemSize.imgX, _y*itemSize.h-itemSize.imgY];
    }